/// <reference types="node" />
import net from 'net';
import { EventEmitter } from 'events';
export declare class ConnectionPair extends EventEmitter {
    id: number;
    incoming: string;
    constructor(info: Pick<ConnectionPair, 'id' | 'incoming'>);
    toJSON(): Pick<ConnectionPair, 'id' | 'incoming'>;
}
export declare class Proxy extends EventEmitter {
    srv: net.Server;
    connId: number;
    constructor(target: any);
    listen(args: any): Promise<void>;
    address(): any;
}
