"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("../");
const mongodb_1 = require("mongodb");
describe('Proxy', () => {
    let proxy;
    let port;
    let events;
    let client;
    beforeEach(async () => {
        events = [];
        proxy = new __1.Proxy({ host: 'localhost', port: 27018 });
        proxy.on('connection', (conn) => {
            conn.on('connectionEnded', (source) => events.push({ ev: 'connecionEnded', source }));
            conn.on('connectionError', (source, err) => events.push({ ev: 'connectionError', source, err }));
            conn.on('message', (source, msg) => events.push({ ev: 'message', source, msg }));
            conn.on('parseError', (source, err) => events.push({ ev: 'parseError', source, err }));
        });
        await proxy.listen(0);
        client = await mongodb_1.MongoClient.connect(`mongodb://localhost:${port}`);
    });
    it('records ismaster events', async () => {
        console.log(events);
    });
});
//# sourceMappingURL=index.js.map